Skip to main content
POST
/
api
/
v1
/
backchannel
/
topics
/
search
cURL
curl --request POST \
  --url https://tilt.io/api/v1/backchannel/topics/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "queries": [
    {
      "weight": 0.5,
      "query": "<string>"
    }
  ],
  "as_of_date": "<string>",
  "limit": 10,
  "offset": 0,
  "min_score": 0.5,
  "include_articles": true,
  "articles_per_topic": 20,
  "include_content": false,
  "dedupe_articles": false,
  "dedupe_topics": false
}
'
{
  "success": true,
  "query_count": 123,
  "topics_found": 123,
  "topics": [
    {
      "topic_id": "<string>",
      "title": "<string>",
      "short_description": "<string>",
      "long_summary": "<string>",
      "key_events": [
        {
          "date": "<string>",
          "title": "<string>",
          "description": "<string>"
        }
      ],
      "created_datetime": "<string>",
      "last_updated_datetime": "<string>",
      "article_count": 123,
      "relevance_score": 123,
      "articles": [
        {
          "article_id": "<string>",
          "headline": "<string>",
          "date": "<string>",
          "source": "<string>",
          "content": "<string>"
        }
      ],
      "future_scenarios": [
        {
          "probability": 50,
          "title": "<string>",
          "description": "<string>",
          "sub_scenarios": [
            {}
          ],
          "macro_shocks": [
            {
              "indicator": "<string>",
              "impact": 123
            }
          ]
        }
      ]
    }
  ],
  "has_more": false,
  "next_offset": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
queries
object[]
required
Required array length: 1 - 10 elements
as_of_date
string
limit
integer
default:10
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
min_score
number
default:0.5
Required range: 0 <= x <= 1
include_articles
boolean
default:true
articles_per_topic
integer
default:20
Required range: 1 <= x <= 100
include_content
boolean
default:false
dedupe_articles
boolean
default:false
dedupe_topics
boolean
default:false

Response

200 - application/json

Search news topics

success
boolean
required
query_count
integer
required
topics_found
integer
required
topics
object[]
required
has_more
boolean
default:false
next_offset
integer | null